## org.eclipse.datatools.sqltools.core.services
Class ExecutionService

    java.lang.Object
      org.eclipse.datatools.sqltools.core.services.ExecutionService

public class ExecutionService
extends java.lang.Object

A SQL execution service specific to a database definition.

Author:
  Hui Cao

Constructor Summary
`ExecutionService()`

Method Summary
`java.lang.Runnable` `createCallableSQLResultRunnable(java.sql.Connection con, ILaunchConfiguration configuration, boolean closeCon, IConnectionTracker tracker, DatabaseIdentifier databaseIdentifier)` Returns a `Runnable` object capable of running CallableStatement.
`java.lang.Runnable` `createExecuteParallelRunnable(java.lang.String sql, DatabaseIdentifier databaseIdentifier)` The returned thread will be started together with the SQL execution logic.
`java.lang.String` `getCallableStatementPrefix(int type)` Returns a String prefix for invoking Routine/Event with the specified type

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecutionService

    public ExecutionService()

Method Detail

### createCallableSQLResultRunnable

    public java.lang.Runnable createCallableSQLResultRunnable(java.sql.Connection con,
                                                              ILaunchConfiguration configuration,
                                                              boolean closeCon,
                                                              IConnectionTracker tracker,
                                                              DatabaseIdentifier databaseIdentifier)

  Returns a `Runnable` object capable of running CallableStatement.

  Parameters:
    `con` - the connection
    `configuration` - the lauch configuration
    `closeCon` - whether should close connection
    `tracker` - if closeCon is true and tracker is not null, will notify it when close the connection
    `databaseIdentifier` -

### createExecuteParallelRunnable

    public java.lang.Runnable createExecuteParallelRunnable(java.lang.String sql,
                                                            DatabaseIdentifier databaseIdentifier)

  The returned thread will be started together with the SQL execution logic. A typical usage of this method is to retrieve query plan while executing the sql statement.

  Returns:

### getCallableStatementPrefix

    public java.lang.String getCallableStatementPrefix(int type)

  Returns a String prefix for invoking Routine/Event with the specified type

  Returns:
    SQL construct that can invoke Routine/Event with the specified type

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.